# Package net.corda.node.utilities.registration

- Interface Summary
  Interface | Description
  --- | ---
  NetworkRegistrationService |

- Class Summary
  Class | Description
  --- | ---
  HTTPNetworkRegistrationService |
  NetworkRegistrationHelper | This checks the config.certificatesDirectory for certificates required to connect to a Corda network. If the certificates are not found, a PKCS10CertificationRequest will be submitted to Corda network permissioning server using `interface NetworkRegistrationService`. This process will enter a polling loop until the request has been approved, and then the certificate chain will be downloaded and stored in Keystore reside in config.certificatesDirectory.

- Exception Summary
  Exception | Description
  --- | ---
  CertificateRequestException |